/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.controller.admin;

import com.arrebol.taxiservicios.model.admin.Expense;
import com.arrebol.taxiservicios.model.core.User;
import java.util.List;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Picasso
 */
public class ExpenseControllerUnitTest {

    private ExpenseController controller;

    public ExpenseControllerUnitTest() {
    }

    @Before
    public void setUp() {
        controller = new ExpenseController();
    }

    @Test
    public void fillExpenseDatatableLeftJoin() {
        try {
            List<Expense> expenses = controller.fillExpenseDatatableLeftJoin();

            expenses.forEach(System.out::println);
            assertFalse(expenses.isEmpty());
        } catch (Exception e) {
            assertFalse(true);
        }
    }

    //@Test
    public void fillExpenseInicios() {
        try {
            List<Expense> expenses = controller.fillExpenseInicios("");

            expenses.forEach(System.out::println);
            assertFalse(expenses.isEmpty());
        } catch (Exception e) {
            assertFalse(true);
        }
    }

    //@Test
    public void findAllSystemUser() {
        try {
            List<User> users = controller.findAllSystemUser();

            users.forEach(System.out::println);
            assertFalse(users.isEmpty());
        } catch (Exception e) {
            assertFalse(true);
        }
    }
}
